openSUSE Security Update : nodejs6 (openSUSE-2019-1173)

Medium Nessus Plugin ID 123919

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for nodejs6 to version 6.17.0 fixes the following issues :

Security issues fixed :

- CVE-2019-5739: Fixed a potentially attack vector which could lead to Denial of Service when HTTP connection are kept active (bsc#1127533).

- CVE-2019-5737: Fixed a potentially attack vector which could lead to Denial of Service when HTTP connection are kept active (bsc#1127532).

- CVE-2019-1559: Fixed OpenSSL 0-byte Record Padding Oracle which under certain circumstances a TLS server can be forced to respond differently to a client and lead to the decryption of the data (bsc#1127080).

Release Notes: https://nodejs.org/en/blog/release/v6.17.0/

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected nodejs6 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1127080

https://bugzilla.opensuse.org/show_bug.cgi?id=1127532

https://bugzilla.opensuse.org/show_bug.cgi?id=1127533

https://nodejs.org/en/blog/release/v6.17.0/

Plugin Details

Severity: Medium

ID: 123919

File Name: openSUSE-2019-1173.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2019/04/09

Updated: 2019/04/09

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:nodejs6, p-cpe:/a:novell:opensuse:nodejs6-debuginfo, p-cpe:/a:novell:opensuse:nodejs6-debugsource, p-cpe:/a:novell:opensuse:nodejs6-devel, p-cpe:/a:novell:opensuse:npm6, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2019/04/08

Vulnerability Publication Date: 2019/02/27

Reference Information

CVE: CVE-2019-1559, CVE-2019-5737, CVE-2019-5739